LFR-FSW - Feature #877

Cppcheck
03/01/2017 11:39 PM - Alexis Jeandet

Status: Closed
Priority: Normal
Assignee: Alexis Jeandet
Category:

Target version:

Start date: 03/01/2017
Due date:

% Done: 0%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Description

J'ai ajouté le support de cppcheck pour le FSW, voir le pull request ici

voici ce que ¢a donne sur la R3+

a noter le:

/home/ jeandet /Documents/prog/sparc/DEV_PLE

y 'binToRemove[3]' accessed at index 3,

FSW_cppcheck_test:

(copie) /src/tc_load_dump_parameters.c:1058:

which is out of bounds.

Running cppcheck on target FSW...

@ILILQIZ §

Arra

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_globals.c:0: information: Too many #ifd
ef configurations - cppcheck only checks 12 of 31 configurations. Use --force to check all
configurations.
/home/ jeandet/Documents/prog/sparc/DEV_PLE (copie)/src/fsw_init.c:0: information: Too many #ifdef
configurations - cppcheck only checks 12 of 178 configurations. Use —--force to check all c
onfigurations.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_misc.c:0: information: Too many #ifdef
configurations - cppcheck only checks 12 of 38 configurations. Use --force to check all co
nfigurations.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_misc.c:260: style: Variable 'status' is
reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_misc.c:272: style: Variable 'status' is
reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_misc.c:795: style: Variable 'hk_1fr_le_
cnt' is reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_misc.c:813: style: Variable 'hk_1fr_me_
cnt' is reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_misc.c:821: style: Variable 'hk_1fr_he_
cnt' is reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/header/processing/fsw_processing.h:173: style:
The scope of the variable 'sum' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/header/processing/fsw_processing.h:178: style:
The scope of the variable 'isValid' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:39: sty
le: The scope of the variable 'PSDB' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:40: sty
le: The scope of the variable 'PSDE' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:41: sty
le: The scope of the variable 'tmp' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:46: sty
le: The scope of the variable 'tr_SB_SB' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:51: sty
le: The scope of the variable 'ny' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:52: sty
le: The scope of the variable 'nz' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:53: sty
le: The scope of the variable 'bx_bx_star' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:55: sty
le: The scope of the variable 'significand' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/LFR_basic-parameters/basic_parameters.h:61: sty
le: The scope of the variable 'tmp_uint8' can be reduced.
an be reduced.
(copie) /LFR_basic-parameters/basic_parameters.h:
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1021: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1022: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1048: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1049: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1050: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1051: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1052: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1080: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1081: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1082: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1083: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1084: style: Variable 'head

er.time[0]"' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:123: style: The scope of th

e variable 'len' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:1512: style: The scope of t

he variable 'length' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:193: style: Variable 'statu

s' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:591: style: Variable 'statu

s' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:649: style: Variable 'statu

s' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:652: style: Variable 'coars

eTime' is assigned a value that is never used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:653: style: Variable 'fineT

ime' is assigned a value that is never used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/fsw_spacewire.c:406: error: Uninitialized v

ariable: status

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/lfr_cpu_usage_report.c:0: information: Too

many #ifdef configurations - cppcheck only checks 12 of 28 configurations. Use —-force to

check all configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf0_prcO.c:0: information: Too

many #ifdef configurations - cppcheck only checks 12 of 37 configurations. Use —--force to

check all configurations.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avi0_prc0.c:198: style: The scop

e of the variable 'nbSMInASMNORM' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf0_prc0.c:199: style: The scop

e of the variable 'nbSMInASMSBM' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf0_prc0.c:360: style: Variable
'status' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avfl_prcl.c:0: information: Too

many #ifdef configurations - cppcheck only checks 12 of 37 configurations. Use —--force to

check all configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avfl_prcl.c:199: style: The scop

e of the variable 'nbSMInASMNORM' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avfl_prcl.c:200: style: The scop

e of the variable 'nbSMInASMSBM' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avfl_prcl.c:352: style: Variable
'status' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:0: information: Too

many #ifdef configurations - cppcheck only checks 12 of 37 configurations. Use —--force to

check all configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:42: style: The scope
of the variable 'nodeForAveraging' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:146: style: The scop
e of the variable 'nbSMInASMNORM' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:148: style: The scop

e of the variable 'localTime' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:264: style: The scop

e of the variable 'sum' can be reduced.

/home/ jeandet/Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:238: style: Variable
'status' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/avf2_prc2.c:184: style: Variable
'localTime' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:0: information:
Too many #ifdef configurations - cppcheck only checks 12 of 37 configurations. Use —--forc

e to check all configurations.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:419: style: Var

iable 'packet.time[0]' is reassigned a value before the old one has been used.
/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:420: style: Var
iable 'packet.time[0]' is reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:421: style: Var
iable 'packet.time[0]' is reassigned a value before the old one has been used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:422: style: Var
iable 'packet.time[0]' is reassigned a value before the old one has been used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:423: style: Var

iable 'packet.time[0]' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:580: style: The
scope of the variable 're' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:581: style: The
scope of the variable 'im' can be reduced.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:594: style: The
scope of the variable 're' can be reduced.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:240: style: Var

iable 'status_code' is assigned a value that is never used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_acceptance.c:40: style: The scope of the
variable 'tmp' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:0: information: Too many #ifde
f configurations - cppcheck only checks 12 of 39 configurations. Use —-—-force to check all

configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:1571: style: Boolean result is
used in bitwise operation. Clarify expression with parentheses.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:322: style: Variable 'result'

is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:342: style: Variable 'result'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:521: style: Variable 'status'

is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:685: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:694: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:699: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:739: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:793: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:798: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:807: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:861: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:866: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:875: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/jeandet/Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:256: style: The scope of the v
ariable 'val' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:478: style: The scope of the v
ariable 'localCoarseTime' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:479: style:
ariable 'deltaCoarseTime' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:1359: style:

variable 'data' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:1360: style:

variable 'val' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:1387: style:

variable 'val' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:1393: style:

variable 'dataPtr' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_handler.c:1566: style:

variable 'requestedMode' can be reduced.
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.

oo many #ifdef configurations - cppcheck only checks 12 of 37 configurations. Use

to check all configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'result' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'result' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'result' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'result' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'result' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'flag' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'flag' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'flag' 1is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'flag' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'flag' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'flag' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
able 'status' is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ope of the variable 'result' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ope of the variable 'aux' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
cope of the variable 'aux' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
cope of the variable 'aux' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
scope of the variable 'kcoeffNormPtr' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
scope of the variable 'kcoeffSbmPtr_a' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
scope of the variable 'kcoeffSbmPtr_b' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
king if unsigned variable 'sy_lfr_pas_filter_offset' is less than zero.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
gned variable 'sy_lfr_kcoeff_ frequency' can't be negative so it is unnecessary
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'result' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
le 'status' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'status' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'status' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tc_load_dump_parameters.
ble 'status' is assigned a value that is never used.
The scope of the v

The

The

The

The

The

scope

scope

scope

scope

scope

of

of

of

of

of

the

the

the

the

the

c:0: information: T

——force

c:68: style: Variab
c:69: style: Variab
c:70: style: Variab
c:71: style: Variab
c:72: style: Variab
c:139: style: Varia
c:204: style: Varia
c:271: style: Varia
c:290: style: Varia
c:308: style: Varia
c:326: style: Varia
c:1319: style: Vari
c:46: style: The sc
c:91: style: The sc
c:158: style: The s
c:223: style: The s
c:1301: style: The
c:1302: style: The
c:1303: style: The
c:1266: style: Chec
c:1323: style: Unsi
to test it.

c:72: style: Variab
c:54: style: Variab
c:130: style: Varia
c:195: style: Varia
c:262: style: Varia
/home/ jeandet /Documents/prog/sparc/DEV_PLE
ble 'status'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
ble 'sy_lfr_n_cwf_long_£f3"'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
able
/home/ jeandet /Documents/prog/sparc/DEV_PLE
able
/home/ jeandet /Documents/prog/sparc/DEV_PLE
y 'binToRemove[3]' accessed at index 3,
/home/ jeandet /Documents/prog/sparc/DEV_PLE

'status'

'sy_lfr_pas_filter_enabled'

y 'parameter_dump_packet.sy_lfr_fbins_f0_wordl[4]"

ounds.
/home/ jeandet /Documents/prog/sparc/DEV_PLE

y 'parameter_dump_packet.sy_lfr_ rw_mask_f0_

bounds.
/home/ jeandet /Documents/prog/sparc/DEV_PLE

is assigned a value that is never used.

is assigned a value that is never used.

(copie) /src/tc_load_dump_parameters.c:627: style: Varia
(copie) /src/tc_load_dump_parameters.c:565: style: Varia
is assigned a value that is never used.
(copie) /src/tc_load_dump_parameters.c:1278: style: Vari
(copie) /src/tc_load_dump_parameters.c:1222: style: Vari
is assigned a value that is never used.
(copie) /src/tc_load_dump_parameters.c:1058: error: Arra
which is out of bounds.
(copie) /src/tc_load_dump_parameters.c:1468: error: Arra
accessed at index 47, which is out of b
(copie) /src/tc_load_dump_parameters.c:1483: error: Arra

wordl[4]"' accessed at index 47, which is out of

(copie) /src/tm_l1fr_tc_exe.c:0: information: Too many #i

fdef configurations - cppcheck only checks 12 of 37 configurations. Use —--force to check a

11 configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/tm_1fr_tc_exe.c:379: style: Variable 'packe

tLength' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:0: information: Too many #ifde
f configurations - cppcheck only checks 12 of 37 configurations. Use ——-force to check all

configurations.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:363: style: Variable 'status'
is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:364: style: Variable 'status'

is reassigned a value before the old one has been used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:1256: style: The scope of the

variable 'segmentation_grouping_flag' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:1257: style: The scope of the

variable 'new_packet_sequence_control' can be reduced.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:863: style: Checking if unsign

ed variable 'nbSamplesPartl_asLong' is less than zero.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:134: style: Variable 'spare_st

atus' is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:256: style: Variable 'status'

is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:364: style: Variable 'status'

is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:421: style: Variable 'status'
is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:482: style: Variable 'status'

is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:560: style: Variable 'status'

is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:1313: style: Variable 'status'
is assigned a value that is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/processing/fsw_processing.c:313: style: The

function 'SM_init_rings' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
init_rings'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
'avfO_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
ion 'avfl_ task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
'avf2_task'

/home/ jeandet /Documents/prog/sparc/DEV_PLE

is never used.
is never used.

ion is never used.

is never used.

ion is never used.

ask' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
mutation_isrl' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
mutation_1isr2' 1s never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE

13/03/2024

(copie) /src/wf_handler.c:603: style: The function 'WFP_

(copie) /src/tc_handler.c:19: style: The function 'actn_

(copie) /src/processing/avf0_prc0.c:37: style: The funct

(copie) /src/processing/avfl_prcl.c:38: style: The funct

(copie) /src/processing/avi2_prc2.c:36: style: The funct

(copie) /src/fsw_misc.c:338: style: The function 'avgv_t

(copie) /src/tc_handler.c:1593: style: The function 'com

(copie) /src/tc_handler.c:1600: style: The function 'com

(copie) /src/tc_handler.c:1475: style: The function 'con
figureCalibration' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE

_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE

_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
task'

/home/ jeandet /Documents/prog/sparc/DEV_PLE

is never used.
is never used.
is never used.
ask' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
_apbuart_transmitter'
/home/ jeandet /Documents/prog/sparc/DEV_PLE

ngNodeToSendSWE''
/home/ jeandet /Documents/prog/sparc/DEV_PLE

is never used.
is never used.

ask' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
ousekeeping_parameters' is never used.
/home/ jeandet /Documents/prog/sparc/DEV_PLE
tion 'init_k_coefficients_prcO'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
tion 'init_k_coefficients_prcl'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
tion 'init_k_coefficients_prc2'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
function 'init_kcoefficients_dump'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
function 'init_parameter_dump'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
ink_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE

is never used.
ask' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
tion 'prcO_task' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
tion 'prcl_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE

tion 'prc2_task'

is never used.

is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
ecv_task' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
umb_hk'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
end_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
buart_scaler_reload_register'

is never used.

is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
_1fr_ahb_correctable' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
_wfp_delta_f1"'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
pacewire_configure_link'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
pacewire_open_link'

is never used.
is never used.

is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE

pacewire_start_link' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
function 'spectral matrices_isr' is never
/home/ jeandet /Documents/prog/sparc/DEV_PLE
ig_task'
/home/ jeandet /Documents/prog/sparc/DEV_PLE
task'

/home/ jeandet /Documents/prog/sparc/DEV_PLE

is never used.
is never used.
imecode_irg handler' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE
tart'

/home/ jeandet /Documents/prog/sparc/DEV_PLE
og_stop'

is never used.

is never used.
(copie) /src/wf_handler.c:506: style: The function 'cwfl

(copie) /src/wf_handler.c:437: style: The function 'cwf2

(copie) /src/wf_handler.c:373: style: The function 'cwf3

(copie) /src/fsw_misc.c:423: style: The function 'dumb_t

(copie) /src/fsw_misc.c:153: style: The function 'enable

(copie) /src/wf_handler.c:77: style: The function 'getRi

(copie) /src/fsw_misc.c:228: style: The function 'hous_t

(copie) /src/fsw_misc.c:491: style: The function 'init_h

(copie) /src/processing/avf0_prc0.c:408: style: The func

is never used.

(copie) /src/processing/avil_prcl.c:393: style: The func

is never used.

(copie) /src/processing/avf2_prc2.c:324: style: The func

is never used.

(copie) /src/tc_load_dump_parameters.c:1487: style: The

is never used.

(copie) /src/tc_load_dump_parameters.c:1401: style: The

is never used.

is never used.

(copie) /src/fsw_spacewire.c:334: style: The function 'l
(copie) /src/fsw_misc.c:183: style: The function 'load_t
(copie) /src/processing/avf0_prc0.c:183: style: The func
(copie) /src/processing/avfl_prcl.c:184: style: The func
(copie) /src/processing/avi2_prc2.c:134: style: The func
(copie) /src/fsw_spacewire.c:110: style: The function 'r
(copie) /src/fsw_misc.c:600: style: The function 'send_d
(copie) /src/fsw_spacewire.c:204: style: The function 's
(copie) /src/fsw_misc.c:162: style: The function 'set_ap
(copie) /src/fsw_misc.c:867: style: The function 'set_hk
(copie) /src/wf_handler.c:1191: style: The function 'set
(copie) /src/fsw_spacewire.c:430: style: The function 's
(copie) /src/fsw_spacewire.c:388: style: The function 's
(copie) /src/fsw_spacewire.c:409: style: The function 's
(copie) /src/processing/fsw_processing.c:247: style: The
used.

(copie) /src/fsw_spacewire.c:30: style: The function 'sp
(copie) /src/wf_handler.c:567: style: The function 'swbd
(copie) /src/fsw_spacewire.c:899: style: The function 't
(copie) /src/fsw_misc.c:39: style: The function 'timer_s
(copie)/src/fsw_misc.c:113: style: The function 'watchd
/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:260: style: The function 'wave
forms_1isr' is never used.

/home/ jeandet /Documents/prog/sparc/DEV_PLE (copie)/src/wf_handler.c:321: style: The function 'wfrm
_task' 1is never used.

History

#1 - 05/01/2017 04:44 PM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Alexis Jeandet

OK boy, thanks again for your help!

#2 - 11/10/2017 10:57 AM - Alexis Jeandet
- Status changed from Feedback to Closed
